NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_atclose(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_atclose - Queue a script to run after the current connection is closed

## Table Of Contents

## Synopsis

- ns_atclose script ?arg?

## Description

This command queues a script to run after the current connection is closed. The script and optional arg are concatenated together and added to the list of at-close callbacks. The scripts are executed in the global scope in LIFO (last in, first out) order.

## COMMANDS

ns_atclose script ?arg?

## See Also

ns_atclose, ns_atexit, ns_atshutdown, ns_atsignal

## Keywords

callback